package agilpizza.modelo;

import org.junit.Test;

import static junit.framework.Assert.*;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;


public class PedidoTest {

	@Test
	public void testCriaPedidoESomaPreco() {
		
		Bebida bebida1 = new Bebida("bebida1", 1.0, "peq");
		Bebida bebida2 = new Bebida("bebida2", 2.0, "gde");

		Pizza pizza1 = new Pizza("pizza1");
		pizza1.adicionaIngrediente("ingrediente1" , 4.0);
		pizza1.adicionaIngrediente("ingrediente2" , 8.0);
		
		Pizza pizza2 = new Pizza("pizza2");
		pizza2.adicionaIngrediente("ingrediente1" , 16.0);
		pizza2.adicionaIngrediente("ingrediente2" , 32.0);
		
		Pedido pedido = new Pedido();
		pedido.addBebida(bebida1);
		pedido.addBebida(bebida2);
		pedido.addPizza(pizza1);
		pedido.addPizza(pizza2);
		
		
		//FIXME: Esta somando o valor da massa default: 10,00 (trocar para variavel)
		//FIXME: Teste eh dependente do Locale (, ou .)
		assertEquals("Preco total igual a 83", 
				"83,00", String.format("%.2f", pedido.getPrecoTotal()));
		
		
		
	}
}
